it.csi.mddtools.guigen

## Interface AppModule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AppModule
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'App Module'. Modulo dell'applicativo. Da mantenere in un file separato.

  The following features are supported:

  - `Name`
  - `Content Panels`
  - `Ext Security Model`
  - `Secure`
  See Also:
    `GuigenPackage.getAppModule()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ContentPanel>` | `getContentPanels()` Returns the value of the 'Content Panels' containment reference list.
    `SecurityModel` | `getExtSecurityModel()` Returns the value of the 'Ext Security Model' reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `boolean` | `isSecure()` Returns the value of the 'Secure' attribute
    `void` | `setExtSecurityModel(SecurityModel value)` Sets the value of the '`Ext Security Model`' reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setSecure(boolean value)` Sets the value of the '`Secure`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Codice identificativo del modulo. Deve essere univoco all'interno dell'applicazione e deve essere un identificativo valido di package java.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getAppModule_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getContentPanels

          org.eclipse.emf.common.util.EList<ContentPanel> getContentPanels()

      Returns the value of the 'Content Panels' containment reference list. The list contents are of type `ContentPanel`.

      If the meaning of the 'Content Panels' containment reference list isn't clear, there really should be more of a description here...

      Elenco delle schermate che costituiscono il modulo.
      Returns:
        the value of the 'Content Panels' containment reference list.
      See Also:
        `GuigenPackage.getAppModule_ContentPanels()`

    - #### getExtSecurityModel

          SecurityModel getExtSecurityModel()

      Returns the value of the 'Ext Security Model' reference.

      If the meaning of the 'Ext Security Model' reference isn't clear, there really should be more of a description here...

      riferimento al modello di sicurezza.
      Returns:
        the value of the 'Ext Security Model' reference.
      See Also:
        `setExtSecurityModel(SecurityModel)`, `GuigenPackage.getAppModule_ExtSecurityModel()`

    - #### setExtSecurityModel

          void setExtSecurityModel(SecurityModel value)

      Sets the value of the '`Ext Security Model`' reference.
      Parameters:
        `value` - the new value of the 'Ext Security Model' reference.
      See Also:
        `getExtSecurityModel()`

    - #### isSecure

          boolean isSecure()

      Returns the value of the 'Secure' attribute.

      If the meaning of the 'Secure' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Secure' attribute.
      See Also:
        `setSecure(boolean)`, `GuigenPackage.getAppModule_Secure()`

    - #### setSecure

          void setSecure(boolean value)

      Sets the value of the '`Secure`' attribute.
      Parameters:
        `value` - the new value of the 'Secure' attribute.
      See Also:
        `isSecure()`